Jump to content

edge projection ???


AIberto

Recommended Posts

I want choose a face of 3d entity , edge projection , This is possible ??

the edge is line.

 

I know a command is "_xedges", but this extract all edges ,

 

use copy edges ? Looks good , but need Multi- choice , and must

Specify a base point or displacement:

Specify a second point of displacement:

 

can simplify?

 

Q.png

 

This is the effect after removed entity

Q2.png

Edited by AIberto
Link to comment
Share on other sites

Try this:

 

(vl-cmdf "_solidedit" "_f" "_c" pause "" pause  pause "" "")

 

 

[ATTACH=CONFIG]52039[/ATTACH]

 

Hi GP , This is not what I need , This is copy faces , I need is line ,not face , must add a step "explode" , and I need line position remains the same.:)

Link to comment
Share on other sites

I know a command is "_xedges", but this extract all edges

 

 

Hi AIberto,

 

the "_xedges" command, allows you to select only the desired edges, by pressing 'Ctrl' as you are selecting.

 

EDIT: As a demo

(defun c:demo (/ ent_l l_ent p1 p2 ss)
 (setq l_ent (entlast)
       ss    (ssadd)
 )
 (prompt "\nPress \"Ctrl\" to select edges: \n")
 (command "_.xedges")
 (while (> (getvar 'cmdactive) 0)
   (command "\\")
 )
 (setq ent_l (entlast))
 (if (and (not (eq l_ent ent_l))
          (setq p1 (getpoint "\nEnter base point: "))
          (setq p2 (getpoint p1 "\nEnter destination point: "))
     )
   (progn
     (while (setq l_ent (entnext l_ent))
       (ssadd l_ent ss)
     )
     (command "_.move" ss "" p1 p2)
   )
 )
 (princ)
)

 

Henrique

Edited by hmsilva
add code
Link to comment
Share on other sites

Hi AIberto,

 

the "_xedges" command, allows you to select only the desired edges, by pressing 'Ctrl' as you are selecting.

 

EDIT: As a demo

 

 

Henrique

 

Hi dear henrique.

 

Thank you ! this is nice!

but I need keep position .

no need "Enter base point: " & "Enter destination point:" , like this:

 

(vl-cmdf "_solidedit" "_e" "_c" pause"" "0,0,0" "0,0,0" "_X" "_X")

Link to comment
Share on other sites

...no need "Enter base point: " & "Enter destination point:"...

 

 

Follow the Henrique's suggestion:

...the "_xedges" command, allows you to select only the desired edges, by pressing 'Ctrl' as you are selecting.

 

 

528.gif

 

 

 

or a change of my first:

(vl-cmdf "_solidedit" "_f" "_c" pause "" "_non" "0,0,0" "_non" "0,0,0" "_X" "_X" "_explode" "_L")

 

527.gif

Link to comment
Share on other sites

Hi AIberto,

I misunderstood, I thought your goal was:

Specify a base point or displacement:

Specify a second point of displacement:

...my bad!

GP's suggestions should work as you are expecting.

 

Henrique

Link to comment
Share on other sites

Follow the Henrique's suggestion:

 

or a change of my first:

(vl-cmdf "_solidedit" "_f" "_c" pause "" "_non" "0,0,0" "_non" "0,0,0" "_X" "_X" "_explode" "_L")

 

Thank! GP , this is my thread need!

Thank for help ! I love you!

Link to comment
Share on other sites

Hi AIberto,

I misunderstood, I thought your goal was:

Specify a base point or displacement:

Specify a second point of displacement:

...my bad!

GP's suggestions should work as you are expecting.

 

Henrique

 

Hi Henrique .

 

Thank you ! Your answer gave me another inspiration!

use "ctrl" is beautiful! can you remove "Enter base point "& "Enter destination point" from your post #6 ?

Edited by AIberto
Link to comment
Share on other sites

You're welcome, AIberto

 

 

You don't need a lsp, just use the 'xedges' command, and the selected edges will be copied to the current layer.

 

 

Henrique

Link to comment
Share on other sites

You're welcome, AIberto

 

 

You don't need a lsp, just use the 'xedges' command, and the selected edges will be copied to the current layer.

 

 

Henrique

 

OK! I know! Thank you! Henrique.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...